# Validate authorization token

#### **Request:**

<table><thead><tr><th width="193">name</th><th>value</th></tr></thead><tbody><tr><td>url</td><td><code>https://dev.pulsoid.net/api/v1/token/validate</code></td></tr><tr><td>method</td><td><code>GET</code></td></tr></tbody></table>

#### Response:

|             |                                                                          |
| ----------- | ------------------------------------------------------------------------ |
| token       | string                                                                   |
| client\_id  | string                                                                   |
| expires\_in | number(in seconds)                                                       |
| profile\_id | string (nullable for server tokens)                                      |
| scopes      | [array of strings](/access-token-management/list-of-supported-scopes.md) |

#### cURL Request Example:

```bash
curl --request GET \
  --url https://dev.pulsoid.net/api/v1/token/validate \
  --header 'Authorization: Bearer 8c4da3ce-7ed7-4a19-a1f1-058498661e45' \
  --header 'Content-Type: application/json' 
```

#### **Response Example:**

```json
{
  "token": "8c4da3ce-7ed7-4a19-a1f1-058498661e45",
  "client_id": "4463b85f-79cd-445f-abee-70a0887f0a85",
  "expires_in": 625608812,
  "profile_id": "4fda99b9-6dc4-4ef4-9fe7-15f64908ad3f",
  "scopes": [
    "data:heart_rate:read",
    "data:heart_rate:write"
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pulsoid.net/access-token-management/validate-authorization-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
